org.vishia.guiViewCfg

## Class OamOutFileReader

- java.lang.Object
- - org.vishia.guiViewCfg.OamOutFileReader

-     public class OamOutFileReader
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ByteDataSymbolicAccessReadConfig` | `accessOamVariable` Index (fast access) of all variable which are contained in the cfg-file.
    `(package private) byte[]` | `binData`
    `(package private) byte[]` | `binDataUcell`
    `(package private) int` | `checkWithoutNewdata`
    `private RawDataAccess` | `dataAccess`
    `private RawDataAccess` | `dataAccessUcell`
    `(package private) boolean` | `dataValid` Associated class which shows the values
    `private java.io.File` | `fileOam`
    `private long` | `lastTimeAccess` To detect timeout while file waiting.
    `private long` | `lastTimeCurve` To detect whether a new curve point should show.
    `private long` | `lastTimeFile` To detect whether the file is new.
    `(package private) Report` | `log`
    `private int` | `timeDiffCheckAccess`
    `private long` | `timeUnitCurve` The distance between curve points in milliseconds.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OamOutFileReader(java.lang.String sFileOamValues, java.lang.String sFileOamUcell, Report log, OamShowValues showValues)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkData()` checks whether new data are received.
    `void` | `readVariableCfg()`
    `(package private) void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### accessOamVariable

          private final ByteDataSymbolicAccessReadConfig accessOamVariable

      Index (fast access) of all variable which are contained in the cfg-file.

    - #### dataValid

          boolean dataValid

      Associated class which shows the values

    - #### log

          final Report log

    - #### fileOam

          private final java.io.File fileOam

    - #### lastTimeFile

          private long lastTimeFile

      To detect whether the file is new.

    - #### lastTimeAccess

          private long lastTimeAccess

      To detect timeout while file waiting.

    - #### timeDiffCheckAccess

          private int timeDiffCheckAccess

    - #### lastTimeCurve

          private long lastTimeCurve

      To detect whether a new curve point should show.

    - #### timeUnitCurve

          private long timeUnitCurve

      The distance between curve points in milliseconds.

    - #### checkWithoutNewdata

          int checkWithoutNewdata

    - #### dataAccess

          private RawDataAccess dataAccess

    - #### binData

          byte[] binData

    - #### dataAccessUcell

          private RawDataAccess dataAccessUcell

    - #### binDataUcell

          byte[] binDataUcell

  - ### Constructor Detail

    - #### OamOutFileReader

          public OamOutFileReader(java.lang.String sFileOamValues,
                                  java.lang.String sFileOamUcell,
                                  Report log,
                                  OamShowValues showValues)

  - ### Method Detail

    - #### readVariableCfg

          public void readVariableCfg()

    - #### checkData

          public void checkData()

      checks whether new data are received. This routine is called in `GuiCfg.execute()` in the main thread.

    - #### stop

          void stop()